=pod

=head1 NAME

aa-remove-unknown - remove unknown AppArmor profiles

=head1 SYNOPSIS

B<aa-remove-unknown> [option]

=head1 DESCRIPTION

B<aa-remove-unknown> will inventory all profiles in /etc/apparmor.d/, compare
that list to the profiles currently loaded into the kernel, and then remove all
of the loaded profiles that were not found in /etc/apparmor.d/. It will also
report the name of each profile that it removes on standard out.

=head1 OPTIONS

=over 4

=item -h, --help

displays a short usage statement.

=item -n

dry run; only prints the names of profiles that would be removed

=back

=head1 EXAMPLES

  $ sudo ./aa-remove-unknown -n
  Would remove 'test//null-/usr/bin/whoami'
  Would remove 'test'

  $ sudo ./aa-remove-unknown
  Removing 'test//null-/usr/bin/whoami'
  Removing 'test'

=head1 BUGS

None. Please report any you find to Gitlab at
L<https://gitlab.com/apparmor/apparmor/-/issues>.

=head1 SEE ALSO

apparmor(7)

=cut
